Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.aocat.psis.client.samples.verify.signature
Class XAdESSignatureEnvelopingValidationSample

    java.lang.Object
      net.aocat.psis.client.base.AbstractSample
          net.aocat.psis.client.samples.verify.signature.XAdESSignatureEnvelopingValidationSample

    public class XAdESSignatureEnvelopingValidationSample

extends AbstractSample

Java code sample for XAdES enveloping signature validation.

Author:
  aalcaide

Field Summary
`private java.lang.String` | `OUT_DIR`
`private boolean` | `PRINT_REQUEST`
`private boolean` | `PRINT_RESPONSE`
`private boolean` | `SAVE_REQUEST_AND_RESPONSE`
`private java.lang.String` | `VERIFY_REQUEST`
`private java.lang.String` | `VERIFY_RESPONSE`

Fields inherited from class net.aocat.psis.client.base.AbstractSample
`factory, log`

Constructor Summary
`XAdESSignatureEnvelopingValidationSample()`

Method Summary
`static void` | `main(java.lang.String[] args)`
`void` | `verifyXAdESSignatureEnveloping(java.io.File signature)` Verifies a XAdES enveloping signature.

Methods inherited from class net.aocat.psis.client.base.AbstractSample
`isResultWellFormed, isResultWellFormed, printSaveRequest, printSaveRequest, printSaveResponse, printSaveResponse, showResult`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PRINT_REQUEST

    private boolean PRINT_REQUEST

### PRINT_RESPONSE

    private boolean PRINT_RESPONSE

### OUT_DIR

    private java.lang.String OUT_DIR

### SAVE_REQUEST_AND_RESPONSE

    private boolean SAVE_REQUEST_AND_RESPONSE

### VERIFY_REQUEST

    private java.lang.String VERIFY_REQUEST

### VERIFY_RESPONSE

    private java.lang.String VERIFY_RESPONSE

Constructor Detail

### XAdESSignatureEnvelopingValidationSample

    public XAdESSignatureEnvelopingValidationSample()

Method Detail

### main

    public static void main(java.lang.String[] args)

  Parameters:
    `args` -
  Throws:
    `java.io.IOException`

### verifyXAdESSignatureEnveloping

    public void verifyXAdESSignatureEnveloping(java.io.File signature)
                                        throws java.io.IOException,
                                               org.apache.xmlbeans.XmlException

  Verifies a XAdES enveloping signature. Prints and/or saves request and response. Prints certificate and signature attributes. Saves updated signature to disk.

  Parameters:
    `signature` - signature to validate
  Throws:
    `java.io.IOException`
    `org.apache.xmlbeans.XmlException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD